| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions
LTC2497.h File Reference
Analog-to-Digital Converters (ADC) » LTC2497: 16-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation

LTC2497: 16-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation. More...

## Detailed Description

LTC2497: 16-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation.

    The LTC2497 is a 16-channel (eight differential), 16-bit, No Latency Delta
    Sigma TM ADC with Easy Drive technology and a 2-wire, I2C interface. The
    patented sampling scheme eliminates dynamic input current errors and the
    shortcomings of on-chip buffering through automatic cancellation of
    differential input current. This allows large external source impedances
    and rail-to-rail input signals to be directly digitized while maintaining
    exceptional DC accuracy.

    I2C DATA FORMAT (MSB FIRST):

    Data In:
    Byte #1                                     Byte #2

    START  SA6 SA5 SA4 SA3 SA2 SA1 SA0 W SACK   1  0  EN SGL ODD A2 A1 A0 NACK  Stop

    Data Out:
    Byte #1                                     Byte #2
                                                MSB
    Start   SA6 SA5 SA4 SA3 SA2 SA1 SA0 R SACK  SGN D15 D14 D13 D12 D11 D10 D9 MACK

    Byte #3                        Byte #4
                                   LSB
    D8 D7 D6 D5 D4 D3 D2 D1 MACK   D0 X X X X X X X MNACK   STOP

    START       : I2C Start
    Repeat Start: I2c Repeat Start
    STOP        : I2C Stop
    SAx         : I2C Address
    SACK        : I2C Slave Generated Acknowledge (Active Low)
    MACK        : I2C Master Generated Acknowledge (Active Low)
    MNACK       : I2c Master Generated Not Acknowledge
    W           : I2C Write (0)
    R           : I2C Read  (1)
    Cx          : Command Code
    Dx          : Data Bits
    X           : Don't care
    EN          : Enable Bit
    SGL         : Single Ended Bit
    ODD         : Polarity Bit
    SGN         : Sign Bit

    Example Code:
    Read differential with CH0 as positive and CH1 as negative:

        uint8_t ack;
        int32_t adc_code = 0;
        float adc_voltage;
        adc_command = LTC24XX_MULTI_CH_P0_N1;
        ack |= LTC2497_read(i2c_address, adc_command, &adc_code);
        adc_voltage = LTC2497_code_to_voltage(adc_code, LTC2497_vref);

http://www.linear.com/product/LTC2497

http://www.linear.com/product/LTC2497#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Header for LTC2497: 16-Bit, 16-Channel Delta Sigma ADCs with Easy Drive Input Current Cancellation

Definition in file LTC2497.h.

Go to the source code of this file.

## Functions
uint8_t | LTC2497_read (uint8_t i2c_address, uint8_t adc_command, int32_t *adc_code, uint16_t timeout)
| Reads from LTC2497. More...
float | LTC2497_code_to_voltage (int32_t adc_code, float vref)
| Calculates the voltage corresponding to an ADC code, given the reference (in volts) More...

## Macros
I2C_Addresses
#define | LTC2497_I2C_ADDRESS 0x76
| I2C address of the LTC2497. More...
#define | LTC2497_I2C_GLOBAL_ADDRESS 0x77
| LTC2497 Global I2C Address. More...

## Function Documentation

## ◆ LTC2497_code_to_voltage()

float LTC2497_code_to_voltage | ( | int32_t | adc_code,
|  | float | vref
| ) |  |

Calculates the voltage corresponding to an ADC code, given the reference (in volts)

Returns
  Returns voltage calculated from ADC code.

Parameters

  adc_code | Code read from ADC
  vref | VRef (in volts)

Definition at line 85 of file LTC2497.cpp.

## ◆ LTC2497_read()

uint8_t LTC2497_read | ( | uint8_t | i2c_address,
|  | uint8_t | adc_command,
|  | int32_t * | adc_code,
|  | uint16_t | timeout
| ) |  |

Reads from LTC2497.

Returns
  1 if no acknowledge, 0 if acknowledge

Parameters

  i2c_address | I2C address (7-bit format) for part
  adc_command | Byte command written to LTC2497
  adc_code | 4 byte conversion code read from LTC2497
  timeout | Timeout (in milliseconds)

Definition at line 79 of file LTC2497.cpp.

## Macro Definition Documentation

## ◆ LTC2497_I2C_ADDRESS

#define LTC2497_I2C_ADDRESS 0x76

I2C address of the LTC2497.

Configured by tying the ADR0, ADR1, and ADR2 pins high or low. See Table 1 of datasheet. Uncomment LTC2497_I2C_ADDRESS to match demo board configuration.

Definition at line 128 of file LTC2497.h.

## ◆ LTC2497_I2C_GLOBAL_ADDRESS

#define LTC2497_I2C_GLOBAL_ADDRESS 0x77

LTC2497 Global I2C Address.

Definition at line 144 of file LTC2497.h.